
<!doctype html>
<html lang="en">

<head>
    <title>Code coverage report for All files</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="prettify.css" />
    <link rel="stylesheet" href="base.css" />
    <link rel="shortcut icon" type="image/x-icon" href="favicon.png" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(sort-arrow-sprite.png);
        }
    </style>
</head>
    
<body>
<div class='wrapper'>
    <div class='pad1'>
        <h1>All files</h1>
        <div class='clearfix'>
            
            <div class='fl pad1y space-right2'>
                <span class="strong">12.41% </span>
                <span class="quiet">Statements</span>
                <span class='fraction'>84/677</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">4.26% </span>
                <span class="quiet">Branches</span>
                <span class='fraction'>13/305</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">0.88% </span>
                <span class="quiet">Functions</span>
                <span class='fraction'>1/113</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">12.41% </span>
                <span class="quiet">Lines</span>
                <span class='fraction'>84/677</span>
            </div>
        
            
        </div>
        <p class="quiet">
            Press <em>n</em> or <em>j</em> to go to the next uncovered block, <em>b</em>, <em>p</em> or <em>k</em> for the previous block.
        </p>
    </div>
    <div class='status-line low'></div>
    <div class="pad1">
<table class="coverage-summary">
<thead>
<tr>
   <th data-col="file" data-fmt="html" data-html="true" class="file">File</th>
   <th data-col="pic" data-type="number" data-fmt="html" data-html="true" class="pic"></th>
   <th data-col="statements" data-type="number" data-fmt="pct" class="pct">Statements</th>
   <th data-col="statements_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="branches" data-type="number" data-fmt="pct" class="pct">Branches</th>
   <th data-col="branches_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="functions" data-type="number" data-fmt="pct" class="pct">Functions</th>
   <th data-col="functions_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="lines" data-type="number" data-fmt="pct" class="pct">Lines</th>
   <th data-col="lines_raw" data-type="number" data-fmt="html" class="abs"></th>
</tr>
</thead>
<tbody><tr>
	<td class="file medium" data-value="homeworkassignment"><a href="homeworkassignment/index.html">homeworkassignment</a></td>
	<td data-value="56.25" class="pic medium">
	<div class="chart"><div class="cover-fill" style="width: 56%"></div><div class="cover-empty" style="width: 44%"></div></div>
	</td>
	<td data-value="56.25" class="pct medium">56.25%</td>
	<td data-value="32" class="abs medium">18/32</td>
	<td data-value="75" class="pct medium">75%</td>
	<td data-value="4" class="abs medium">3/4</td>
	<td data-value="16.67" class="pct low">16.67%</td>
	<td data-value="6" class="abs low">1/6</td>
	<td data-value="56.25" class="pct medium">56.25%</td>
	<td data-value="32" class="abs medium">18/32</td>
	</tr>

<tr>
	<td class="file low" data-value="homeworkassignment/src/ApplicationLogic"><a href="homeworkassignment/src/ApplicationLogic/index.html">homeworkassignment/src/ApplicationLogic</a></td>
	<td data-value="4.48" class="pic low">
	<div class="chart"><div class="cover-fill" style="width: 4%"></div><div class="cover-empty" style="width: 96%"></div></div>
	</td>
	<td data-value="4.48" class="pct low">4.48%</td>
	<td data-value="357" class="abs low">16/357</td>
	<td data-value="0" class="pct low">0%</td>
	<td data-value="155" class="abs low">0/155</td>
	<td data-value="0" class="pct low">0%</td>
	<td data-value="60" class="abs low">0/60</td>
	<td data-value="4.48" class="pct low">4.48%</td>
	<td data-value="357" class="abs low">16/357</td>
	</tr>

<tr>
	<td class="file low" data-value="homeworkassignment/src/DataLogic"><a href="homeworkassignment/src/DataLogic/index.html">homeworkassignment/src/DataLogic</a></td>
	<td data-value="5.93" class="pic low">
	<div class="chart"><div class="cover-fill" style="width: 5%"></div><div class="cover-empty" style="width: 95%"></div></div>
	</td>
	<td data-value="5.93" class="pct low">5.93%</td>
	<td data-value="253" class="abs low">15/253</td>
	<td data-value="6.85" class="pct low">6.85%</td>
	<td data-value="146" class="abs low">10/146</td>
	<td data-value="0" class="pct low">0%</td>
	<td data-value="47" class="abs low">0/47</td>
	<td data-value="5.93" class="pct low">5.93%</td>
	<td data-value="253" class="abs low">15/253</td>
	</tr>

<tr>
	<td class="file high" data-value="homeworkassignment/src/Routers"><a href="homeworkassignment/src/Routers/index.html">homeworkassignment/src/Routers</a></td>
	<td data-value="100" class="pic high">
	<div class="chart"><div class="cover-fill cover-full" style="width: 100%"></div><div class="cover-empty" style="width: 0%"></div></div>
	</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="35" class="abs high">35/35</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="0" class="abs high">0/0</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="0" class="abs high">0/0</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="35" class="abs high">35/35</td>
	</tr>

</tbody>
</table>
</div>
                <div class='push'></div><!-- for sticky footer -->
            </div><!-- /wrapper -->
            <div class='footer quiet pad2 space-top1 center small'>
                Code coverage generated by
                <a href="https://istanbul.js.org/" target="_blank">istanbul</a>
                at Wed May 19 2021 16:08:21 GMT+0200 (Central European Summer Time)
            </div>
        </div>
        <script src="prettify.js"></script>
        <script>
            window.onload = function () {
                prettyPrint();
            };
        </script>
        <script src="sorter.js"></script>
        <script src="block-navigation.js"></script>
    </body>
</html>
    